Skip to navigation

Create dispute evidence file

Uploads a binary file as a piece of evidence for the given dispute, which can then be submitted with the challenge dispute endpoint.

The file must be one of the supported formats, or else it may not be usable to challenge the dispute:

  • JPEG
  • HEIC
  • HEIF
  • PNG
  • PDF
  • TIFF

Uploading evidence does not challenge the dispute. Make sure to call the challenge dispute endpoint before the response_due_at timestamp, or else the merchant will automatically “lose” the dispute.

This endpoint is not rate limited.

Scopes: DISPUTES_WRITE


Example request payload (cURL)

The following example shows how to make a request to upload a dispute file. There are two “parts” of the request:

  • request, a JSON blob that contains details about the file to upload
  • file, which contains the binary data for the file to be uploaded.

Using cURL to make the request, the request would look like the example below. Please refer to documentation for your particular language / framework and multipart/form-data requests to see how you should implement it in your own codebase.

Please refer to Signing Multipart Requests to compute a signature for the request.

curl --request POST 'https://sandbox.api.cash.app/network/v1/disputes/DSPT_ztqn5hd8wmrzjzavmf60pjbzf/evidence-file' \
--header 'Accept: application/json' \
--header 'Authorization: Client CLIENT_ID API_KEY_ID' \
--header 'Content-Type: multipart/form-data' \
--header 'X-Region: PDX' \
--form 'request={
"idempotency_key": "e445c3fb-2caa-46fd-b0d3-aa7c7b00ab41",
"evidence": {
"category": "AUTHORIZATION_DOCUMENTATION",
"file": {
"filename": "evidence.pdf",
"content_type": "application/pdf"
}
}
}' \
--form 'signature=SIGNATURE' \
--form 'file=path-to-file.pdf'

Path parameters

dispute_idstringRequired
ID of the dispute the pieces of evidence are associated with.

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

This endpoint expects a multipart form containing a file.
requestobjectRequired

JSON-encoded payload describing the contents of the file uploaded

filefileRequired

Binary file to upload

Min size: 1 byte Max size: 5 megabytes

Response

Created
evidenceobject

Errors

400
Create Dispute Evidence File Request Bad Request Error
404
Create Dispute Evidence File Request Not Found Error